package com.unis.module.coding.service.kshzs;

import com.unis.framework.common.pojo.PageResult;
import com.unis.module.coding.controller.admin.kshzs.vo.*;

import java.util.List;
import java.util.Map;

/**
 * @Author: Insight
 * @Description: TODO
 * @Date: 2025/2/11 10:19
 * @Version: 1.0
 */
public interface KshzsService {
    Map<String, Object> selectMapList(paramVo paramVo);

    totalVo selectFrameList(paramVo paramVo);

    List<Map<String, Object>> selectPieChart(paramVo paramVo);

    List<cfxxVo> selectCxxList(paramVo paramVo);

    kqxxVo queryKqInfo(paramVo paramVo);

    List<cwxxVo> selectCwxxList(paramVo paramVo);

    cfxxVo selectCfInfo(paramVo paramVo);

    hwkVo selectHwkInfo(paramVo paramVo);

    PageResult<crkVo> selectCrkList(pageParamVo paramVo);

    PageResult<zjxxVo> selectZjList(pageParamVo paramVo);

    List<lqjcVo> selectLqjcList(paramVo paramVo);

    PageResult<sydVo> selectSydList(pageParamVo paramVo);

    List<kqxxVo> selectKqmcList(paramVo paramVo);

    List<Map<String, Object>> selectSpList(paramVo paramVo);
}
